com.verisign.epp.codec.nv

## Class EPPNameVerificationCreateFailed

- java.lang.Object
- - com.verisign.epp.codec.nv.EPPNameVerificationCreateFailed

- All Implemented Interfaces:
    EPPCodecComponent, EPPNameVerificationCreateResult, java.io.Serializable, java.lang.Cloneable

      public class EPPNameVerificationCreateFailed
      extends java.lang.Object
      implements EPPNameVerificationCreateResult

  Create response for a successful domain name verification, which results in the return of a digitally signed domain verification code.
  See Also:
    `EPPNameVerificationCreateCmd`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPNameVerificationCreateFailed`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPNameVerificationCreateFailed`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPNameVerificationCreateFailed()` `EPPNameVerificationCreateFailed` default constructor.
    `EPPNameVerificationCreateFailed(EPPNameVerificationStatus aStatus, java.lang.String aReason)` `EPPNameVerificationCreateFailed` constructor that takes the required attributes.
    `EPPNameVerificationCreateFailed(EPPNameVerificationStatus aStatus, java.lang.String aReason, java.lang.String aLanguage)` `EPPNameVerificationCreateFailed` constructor that takes the all attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPNameVerificationCreateFailed`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPNameVerificationCreateFailed` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPNameVerificationCreateFailed` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPNameVerificationCreateFailed` with this instance.
    `java.lang.String` | `getLanguage()` Gets the language of the failure with the default of "en".
    `java.lang.String` | `getNamespace()` Gets the EPP command namespace associated with `EPPNameVerificationCreateFailed`.
    `java.lang.String` | `getReason()` Gets the reason for the failure.
    `EPPNameVerificationStatus` | `getStatus()` Gets the verification status.
    `java.lang.String` | `getType()` Gets the EPP response type associated with `EPPNameVerificationCreateFailed`.
    `void` | `setLanguage(java.lang.String aLanguage)` Sets language of the reason.
    `void` | `setReason(java.lang.String aReason)` Sets the reason for the failure.
    `void` | `setStatus(EPPNameVerificationStatus aStatus)` Sets the verification status.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPNameVerificationCreateFailed`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPNameVerificationCreateFailed`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPNameVerificationCreateFailed

          public EPPNameVerificationCreateFailed()

      `EPPNameVerificationCreateFailed` default constructor.

    - #### EPPNameVerificationCreateFailed

          public EPPNameVerificationCreateFailed(EPPNameVerificationStatus aStatus,
                                                 java.lang.String aReason)

      `EPPNameVerificationCreateFailed` constructor that takes the required attributes.
      Parameters:
        `aStatus` - The verification status
        `aReason` - Human-readable reason of the failure

    - #### EPPNameVerificationCreateFailed

          public EPPNameVerificationCreateFailed(EPPNameVerificationStatus aStatus,
                                                 java.lang.String aReason,
                                                 java.lang.String aLanguage)

      `EPPNameVerificationCreateFailed` constructor that takes the all attributes.
      Parameters:
        `aStatus` - The verification status
        `aReason` - Human-readable reason of the failure
        `aLanguage` - Language of the reason with the default of "en".

  - ### Method Detail

    - #### getStatus

          public EPPNameVerificationStatus getStatus()

      Gets the verification status.
      Returns:
        Verification status

    - #### setStatus

          public void setStatus(EPPNameVerificationStatus aStatus)

      Sets the verification status.
      Parameters:
        `aStatus` - The verification status

    - #### getReason

          public java.lang.String getReason()

      Gets the reason for the failure.
      Returns:
        Reason for the failure

    - #### setReason

          public void setReason(java.lang.String aReason)

      Sets the reason for the failure.
      Parameters:
        `aReason` - Reason for the failure

    - #### getLanguage

          public java.lang.String getLanguage()

      Gets the language of the failure with the default of "en".
      Returns:
        Language of the failure

    - #### setLanguage

          public void setLanguage(java.lang.String aLanguage)

      Sets language of the reason.
      Parameters:
        `aLanguage` - Language of the reason

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPNameVerificationCreateFailed` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the EPPNameVerificationCreateFailed instance.
      Throws:
        `EPPEncodeException` - Unable to encode EPPNameVerificationCreateFailed instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPNameVerificationCreateFailed` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPNameVerificationCreateFailed` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPNameVerificationCreateFailed`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPNameVerificationCreateFailed`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getType

          public java.lang.String getType()

      Gets the EPP response type associated with `EPPNameVerificationCreateFailed`.
      Returns:
        `EPPNameVerificationCreateFailed.ELM_NAME`

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command namespace associated with `EPPNameVerificationCreateFailed`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        `EPPNameVerificationMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPNameVerificationCreateFailed` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.